Package org.apache.tomcat.jdbc.pool.interceptor

## Class StatementDecoratorInterceptor.ResultSetProxy

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.interceptor.StatementDecoratorInterceptor.ResultSetProxy

All Implemented Interfaces:
  `java.lang.reflect.InvocationHandler`

Enclosing class:
  StatementDecoratorInterceptor

    protected static class StatementDecoratorInterceptor.ResultSetProxy
    extends java.lang.Object
    implements java.lang.reflect.InvocationHandler

### Constructor Summary

Constructors
`ResultSetProxy​(java.lang.Object st, java.lang.Object delegate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `invoke​(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultSetProxy

    public ResultSetProxy​(java.lang.Object st,
                          java.lang.Object delegate)

### Method Detail

#### invoke

    public java.lang.Object invoke​(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

Specified by:
  `invoke` in interface `java.lang.reflect.InvocationHandler`
Throws:
  `java.lang.Throwable`